[arch-commits] Commit in liborigin2/trunk (PKGBUILD gcc45.patch)

Ionut Biru ibiru at archlinux.org
Sat Jun 19 18:09:37 EDT 2010


    Date: Saturday, June 19, 2010 @ 18:09:37
  Author: ibiru
Revision: 82953

upgpkg: liborigin2 20090406-4
boost 1.43 rebuild

Added:
  liborigin2/trunk/gcc45.patch
Modified:
  liborigin2/trunk/PKGBUILD

-------------+
 PKGBUILD    |   20 ++++++++++++++------
 gcc45.patch |   15 +++++++++++++++
 2 files changed, 29 insertions(+), 6 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2010-06-19 22:04:28 UTC (rev 82952)
+++ PKGBUILD	2010-06-19 22:09:37 UTC (rev 82953)
@@ -4,27 +4,35 @@
 
 pkgname=liborigin2
 pkgver=20090406
-pkgrel=3
+pkgrel=4
 pkgdesc="A library for reading OriginLab OPJ project files"
 url="http://soft.proindependent.com/liborigin2/"
-source=("http://download.berlios.de/qtiplot/${pkgname}-06042009.zip"
-	'liborigin.pro.archlinux')
+source=(http://download.berlios.de/qtiplot/${pkgname}-06042009.zip
+	liborigin.pro.archlinux
+        gcc45.patch)
 license=('GPL3')
 arch=('i686' 'x86_64')
-depends=('gcc-libs' 'boost>=1.41.0')
-makedepends=('doxygen' 'qt')
+depends=('gcc-libs' 'boost-libs')
+makedepends=('doxygen' 'qt' 'boost')
 replaces=('liborigin')
 provides=('liborigin')
 md5sums=('b221b2e4d86a4a2b9136bc37944b64b8'
-         '4fe64e68ef0419926986d3cc1fc79bed')
+         '4fe64e68ef0419926986d3cc1fc79bed'
+         '2fde6d1e7e94216e82d124c8500e05c5')
 
 build() {
 	cd ${srcdir}/${pkgname}-06042009
+        patch -Np0 -i ${srcdir}/gcc45.patch || return 1
 
 	install -Dm644 ${srcdir}/liborigin.pro.archlinux ./liborigin.pro || return 1
 
 	qmake liborigin.pro QMAKESPEC=linux-g++ || return 1
   	make QTDIR=/usr/ QMAKESPEC=linux-g++ || return 1
+}
+
+package() {
+        cd ${srcdir}/${pkgname}-06042009
+
   	INSTALL_ROOT=${pkgdir} make install || return 1
 
         # install missing includes

Added: gcc45.patch
===================================================================
--- gcc45.patch	                        (rev 0)
+++ gcc45.patch	2010-06-19 22:09:37 UTC (rev 82953)
@@ -0,0 +1,15 @@
+Fixing build with gcc 4.5
+
+http://bugs.gentoo.org/show_bug.cgi?id=318575
+
+--- OriginDefaultParser.cpp
++++ OriginDefaultParser.cpp
+@@ -73,7 +73,7 @@
+ 	int i;
+ 	FILE *f, *debug;
+ 	if((f=fopen(fileName.c_str(),"rb")) == NULL ) {
+-		printf("Could not open %s!\n",fileName);
++		printf("Could not open %s!\n",fileName.c_str());
+ 		return false;
+ 	}
+ 



More information about the arch-commits mailing list